Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class FastArray

Field Summary
`FastArray` | `EMPTY_LIST`
`def` | `data`
`int` | `size`

Constructor Summary
`FastArray(int initialCapacity)`
`FastArray()`
`FastArray(Collection c)`
`FastArray(def objects)`

Method Summary
`void` | `add(Object o)`
`void` | `addAll(FastArray newData)`
`void` | `addAll(def newData, int size)`
`void` | `addAll(List coll)`
`void` | `clear()`
`FastArray` | `copy()`
`Object` | `get(int index)`
`def` | `getArray()`
`boolean` | `isEmpty()`
`void` | `remove(int index)`
`void` | `set(int index, Object o)`
`int` | `size()`
`List` | `toList()`
`String` | `toString()`

Constructor Detail

### FastArray

    public FastArray(int initialCapacity)

### FastArray

    public FastArray()

### FastArray

    public FastArray(Collection c)

### FastArray

    public FastArray(def objects)

Method Detail

### add

    public void add(Object o)

### addAll

    public void addAll(FastArray newData)

### addAll

    public void addAll(def newData, int size)

### addAll

    public void addAll(List coll)

### clear

    public void clear()

### copy

    public FastArray copy()

### get

    public Object get(int index)

### getArray

    public def getArray()

### isEmpty

    public boolean isEmpty()

### remove

    public void remove(int index)

### set

    public void set(int index, Object o)

### size

    public int size()

### toList

    public List toList()

### toString

    public String toString()